static const char *RcsId = "$Header:  $";
//+=============================================================================
//
// file :         DiffractometerStateMachine.cpp
//
// description :  C++ source for the Diffractometer and its alowed. 
//                method for commands and attributes
//
// project :      TANGO Device Server
//
// $Author:  $
//
// $Revision:  $
//
// $Log:  $
//
// copyleft :     European Synchrotron Radiation Facility
//                BP 220, Grenoble 38043
//                FRANCE
//
//-=============================================================================
//
//  		This file is generated by POGO
//	(Program Obviously used to Generate tango Object)
//
//         (c) - Software Engineering Group - ESRF
//=============================================================================

#include <tango.h>
#include <Diffractometer.h>
#include <DiffractometerClass.h>

/*====================================================================
 *	This file contains the methods to allow commands and attributes
 * read or write execution.
 *
 * If you wand to add your own code, add it between 
 * the "End/Re-Start of Generated Code" comments.
 *
 * If you want, you can also add your own methods.
 *====================================================================
 */

namespace Diffractometer_ns
{

//=================================================
//		Attributes Allowed Methods
//=================================================

//+----------------------------------------------------------------------------
//
// method : 		Diffractometer::is_AnglesIdx_allowed
// 
// description : 	Read/Write allowed for AnglesIdx attribute.
//
//-----------------------------------------------------------------------------
bool Diffractometer::is_AnglesIdx_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Diffractometer::is_Simulated_allowed
// 
// description : 	Read/Write allowed for Simulated attribute.
//
//-----------------------------------------------------------------------------
bool Diffractometer::is_Simulated_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Diffractometer::is_WaveLength_allowed
// 
// description : 	Read/Write allowed for WaveLength attribute.
//
//-----------------------------------------------------------------------------
bool Diffractometer::is_WaveLength_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Diffractometer::is_Crystal_allowed
// 
// description : 	Read/Write allowed for Crystal attribute.
//
//-----------------------------------------------------------------------------
bool Diffractometer::is_Crystal_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Diffractometer::is_A_allowed
// 
// description : 	Read/Write allowed for A attribute.
//
//-----------------------------------------------------------------------------
bool Diffractometer::is_A_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Diffractometer::is_B_allowed
// 
// description : 	Read/Write allowed for B attribute.
//
//-----------------------------------------------------------------------------
bool Diffractometer::is_B_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Diffractometer::is_C_allowed
// 
// description : 	Read/Write allowed for C attribute.
//
//-----------------------------------------------------------------------------
bool Diffractometer::is_C_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Diffractometer::is_Alpha_allowed
// 
// description : 	Read/Write allowed for Alpha attribute.
//
//-----------------------------------------------------------------------------
bool Diffractometer::is_Alpha_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Diffractometer::is_Beta_allowed
// 
// description : 	Read/Write allowed for Beta attribute.
//
//-----------------------------------------------------------------------------
bool Diffractometer::is_Beta_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Diffractometer::is_Gamma_allowed
// 
// description : 	Read/Write allowed for Gamma attribute.
//
//-----------------------------------------------------------------------------
bool Diffractometer::is_Gamma_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Diffractometer::is_Ux_allowed
// 
// description : 	Read/Write allowed for Ux attribute.
//
//-----------------------------------------------------------------------------
bool Diffractometer::is_Ux_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Diffractometer::is_Uy_allowed
// 
// description : 	Read/Write allowed for Uy attribute.
//
//-----------------------------------------------------------------------------
bool Diffractometer::is_Uy_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Diffractometer::is_Uz_allowed
// 
// description : 	Read/Write allowed for Uz attribute.
//
//-----------------------------------------------------------------------------
bool Diffractometer::is_Uz_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Diffractometer::is_AStar_allowed
// 
// description : 	Read/Write allowed for AStar attribute.
//
//-----------------------------------------------------------------------------
bool Diffractometer::is_AStar_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Diffractometer::is_BStar_allowed
// 
// description : 	Read/Write allowed for BStar attribute.
//
//-----------------------------------------------------------------------------
bool Diffractometer::is_BStar_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Diffractometer::is_CStar_allowed
// 
// description : 	Read/Write allowed for CStar attribute.
//
//-----------------------------------------------------------------------------
bool Diffractometer::is_CStar_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Diffractometer::is_AlphaStar_allowed
// 
// description : 	Read/Write allowed for AlphaStar attribute.
//
//-----------------------------------------------------------------------------
bool Diffractometer::is_AlphaStar_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Diffractometer::is_BetaStar_allowed
// 
// description : 	Read/Write allowed for BetaStar attribute.
//
//-----------------------------------------------------------------------------
bool Diffractometer::is_BetaStar_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Diffractometer::is_GammaStar_allowed
// 
// description : 	Read/Write allowed for GammaStar attribute.
//
//-----------------------------------------------------------------------------
bool Diffractometer::is_GammaStar_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Diffractometer::is_CrystalNames_allowed
// 
// description : 	Read/Write allowed for CrystalNames attribute.
//
//-----------------------------------------------------------------------------
bool Diffractometer::is_CrystalNames_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Diffractometer::is_AxesNames_allowed
// 
// description : 	Read/Write allowed for AxesNames attribute.
//
//-----------------------------------------------------------------------------
bool Diffractometer::is_AxesNames_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Diffractometer::is_Angles_allowed
// 
// description : 	Read/Write allowed for Angles attribute.
//
//-----------------------------------------------------------------------------
bool Diffractometer::is_Angles_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Diffractometer::is_AnglesDegenerated_allowed
// 
// description : 	Read/Write allowed for AnglesDegenerated attribute.
//
//-----------------------------------------------------------------------------
bool Diffractometer::is_AnglesDegenerated_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Diffractometer::is_AnglesRangeCheck_allowed
// 
// description : 	Read/Write allowed for AnglesRangeCheck attribute.
//
//-----------------------------------------------------------------------------
bool Diffractometer::is_AnglesRangeCheck_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Diffractometer::is_Reflections_allowed
// 
// description : 	Read/Write allowed for Reflections attribute.
//
//-----------------------------------------------------------------------------
bool Diffractometer::is_Reflections_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Diffractometer::is_ReflectionsAngles_allowed
// 
// description : 	Read/Write allowed for ReflectionsAngles attribute.
//
//-----------------------------------------------------------------------------
bool Diffractometer::is_ReflectionsAngles_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Diffractometer::is_UB_allowed
// 
// description : 	Read/Write allowed for UB attribute.
//
//-----------------------------------------------------------------------------
bool Diffractometer::is_UB_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Diffractometer::is_pseudoAxesProxies_allowed
// 
// description : 	Read/Write allowed for pseudoAxesProxies attribute.
//
//-----------------------------------------------------------------------------
bool Diffractometer::is_pseudoAxesProxies_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Diffractometer::is_AFit_allowed
// 
// description : 	Read/Write allowed for AFit attribute.
//
//-----------------------------------------------------------------------------
bool Diffractometer::is_AFit_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Diffractometer::is_BFit_allowed
// 
// description : 	Read/Write allowed for BFit attribute.
//
//-----------------------------------------------------------------------------
bool Diffractometer::is_BFit_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Diffractometer::is_CFit_allowed
// 
// description : 	Read/Write allowed for CFit attribute.
//
//-----------------------------------------------------------------------------
bool Diffractometer::is_CFit_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Diffractometer::is_AlphaFit_allowed
// 
// description : 	Read/Write allowed for AlphaFit attribute.
//
//-----------------------------------------------------------------------------
bool Diffractometer::is_AlphaFit_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Diffractometer::is_BetaFit_allowed
// 
// description : 	Read/Write allowed for BetaFit attribute.
//
//-----------------------------------------------------------------------------
bool Diffractometer::is_BetaFit_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Diffractometer::is_GammaFit_allowed
// 
// description : 	Read/Write allowed for GammaFit attribute.
//
//-----------------------------------------------------------------------------
bool Diffractometer::is_GammaFit_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Diffractometer::is_UxFit_allowed
// 
// description : 	Read/Write allowed for UxFit attribute.
//
//-----------------------------------------------------------------------------
bool Diffractometer::is_UxFit_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Diffractometer::is_UyFit_allowed
// 
// description : 	Read/Write allowed for UyFit attribute.
//
//-----------------------------------------------------------------------------
bool Diffractometer::is_UyFit_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Diffractometer::is_UzFit_allowed
// 
// description : 	Read/Write allowed for UzFit attribute.
//
//-----------------------------------------------------------------------------
bool Diffractometer::is_UzFit_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Diffractometer::is_AutoUpdateFromProxies_allowed
// 
// description : 	Read/Write allowed for AutoUpdateFromProxies attribute.
//
//-----------------------------------------------------------------------------
bool Diffractometer::is_AutoUpdateFromProxies_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}

//=================================================
//		Commands Allowed Methods
//=================================================

//+----------------------------------------------------------------------------
//
// method : 		Diffractometer::is_Abort_allowed
// 
// description : 	Execution allowed for Abort command.
//
//-----------------------------------------------------------------------------
bool Diffractometer::is_Abort_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Diffractometer::is_AddNewCrystal_allowed
// 
// description : 	Execution allowed for AddNewCrystal command.
//
//-----------------------------------------------------------------------------
bool Diffractometer::is_AddNewCrystal_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Diffractometer::is_AddReflection_allowed
// 
// description : 	Execution allowed for AddReflection command.
//
//-----------------------------------------------------------------------------
bool Diffractometer::is_AddReflection_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Diffractometer::is_AffineCrystal_allowed
// 
// description : 	Execution allowed for AffineCrystal command.
//
//-----------------------------------------------------------------------------
bool Diffractometer::is_AffineCrystal_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Diffractometer::is_ComputeU_allowed
// 
// description : 	Execution allowed for ComputeU command.
//
//-----------------------------------------------------------------------------
bool Diffractometer::is_ComputeU_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Diffractometer::is_ConfigureCrystal_allowed
// 
// description : 	Execution allowed for ConfigureCrystal command.
//
//-----------------------------------------------------------------------------
bool Diffractometer::is_ConfigureCrystal_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Diffractometer::is_CopyCurrentCrystalAs_allowed
// 
// description : 	Execution allowed for CopyCurrentCrystalAs command.
//
//-----------------------------------------------------------------------------
bool Diffractometer::is_CopyCurrentCrystalAs_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Diffractometer::is_CopyReflectionTo_allowed
// 
// description : 	Execution allowed for CopyReflectionTo command.
//
//-----------------------------------------------------------------------------
bool Diffractometer::is_CopyReflectionTo_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Diffractometer::is_DeleteCurrentCrystal_allowed
// 
// description : 	Execution allowed for DeleteCurrentCrystal command.
//
//-----------------------------------------------------------------------------
bool Diffractometer::is_DeleteCurrentCrystal_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Diffractometer::is_GetCrystalParameterValues_allowed
// 
// description : 	Execution allowed for GetCrystalParameterValues command.
//
//-----------------------------------------------------------------------------
bool Diffractometer::is_GetCrystalParameterValues_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Diffractometer::is_Load_allowed
// 
// description : 	Execution allowed for Load command.
//
//-----------------------------------------------------------------------------
bool Diffractometer::is_Load_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Diffractometer::is_RemoveReflection_allowed
// 
// description : 	Execution allowed for RemoveReflection command.
//
//-----------------------------------------------------------------------------
bool Diffractometer::is_RemoveReflection_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Diffractometer::is_Save_allowed
// 
// description : 	Execution allowed for Save command.
//
//-----------------------------------------------------------------------------
bool Diffractometer::is_Save_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		Diffractometer::is_SetCrystalParameterValues_allowed
// 
// description : 	Execution allowed for SetCrystalParameterValues command.
//
//-----------------------------------------------------------------------------
bool Diffractometer::is_SetCrystalParameterValues_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}

}	// namespace Diffractometer_ns
